Subject: Re: [PATCH 2/3] Derive ebc ranges property from EBC registers

From: David Gibson <[email-masked]>
Date: Wed, 16 May 2007 13:13:28 +1000

On Tue, May 15, 2007 at 09:29:59PM -0500, Josh Boyer wrote:
> On Wed, May 16, 2007 at 09:09:30AM +1000, David Gibson wrote:
> > > Do we want a "ranges;" here as a placeholder?  I don't see where it's
> > > absolutely required, but it makes me feel better for some reason...
> > 
> > Absolutely not.  An empty ranges property indicates that the child bus
> > address space is the same as the parent bus address space.  If we're
> > using the chip-select/offset addressing form for the EBC peripherals,
> > that's manifestly not the case.
> 
> Ah ok.  My lack of device tree experience showing through again.
> 
> > > So this sets the ranges for the EBC bus, but not the "regs" properties
> > > of the child nodes.  Without that, the child nodes will not be mapped to
> > > the correct addresses...
> > 
> > Well, no, the child reg properties can't be deduced from the EBC
> > registers.
> 
> Right, I didn't mean to imply the could be.
> 
> > > Did you have a plan on how to fixup the child "regs" properties so that
> > > when the DIP switches are flipped around, the children show up
> > > correctly?
> > 
> > Well, on Ebony (AFAICT), the only child reg property that might need
> > adjustment is the small flash.  My MTD enabling patch includes some
> > code in the boot wrapper to toggle the appropriate bit in it's reg
> > property.
> 
> Hm, ok.  On Bamboo, it's more complicated.  I'll have to think of something
> there I suppose.

Want to send me a board manual?  I can see if any approach springs to
mind.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson